<?php
/**
 * Sidebar Secondary widget area.
 *
 * @package WEN Business
 */
?>

<?php
/**
 * wen_business_action_before_sidebar_secondary hook
 */
do_action( 'wen_business_action_before_sidebar_secondary' );?>

<?php
    $default_sidebar = apply_filters( 'wen_business_filter_default_sidebar_id', 'sidebar-2', 'secondary' );

  if ( is_singular() ) {
    global $post;
    $post_options = get_post_meta( $post->ID, 'theme_settings', true );
    if ( isset( $post_options['sidebar_location_secondary'] ) && ! empty( $post_options['sidebar_location_secondary'] ) ) {
      $default_sidebar = $post_options['sidebar_location_secondary'];
    }
  }
 ?>

<div id="sidebar-secondary" role="complementary" <?php wen_business_sidebar_secondary_class( 'widget-area sidebar' ); ?> >
  <?php if ( is_active_sidebar( $default_sidebar ) ): ?>

    <?php dynamic_sidebar( $default_sidebar ); ?>

  <?php endif ?>
</div><!-- #sidebar-secondary -->
<?php
/**
 * wen_business_action_after_sidebar_secondary hook
 */
do_action( 'wen_business_action_after_sidebar_secondary' );?>

